
Smart Proxy - Bug #29185

Change HTTP Boot module root path to /EFI/BOOT

02/26/2020 03:00 PM - Lukas Zapletal

Status: Ready For Testing   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: HTTPBoot   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/750

  

Description

Javier Martinez Canillas of Red Hat explained to me that grub2 from grub2-efi-x64-cdboot package expects files to be on /EFI/BOOT

path and this is where we should expose them both via TFTP and HTTP. Let's change this to comply with how grub2 expects things,

currently we expose the TFTP directory via /httpboot and /EFI root paths.

Related issues:

Related to Installer - Bug #29186: Use grub2 from grub2-efi-x64-cdboot packag... New

Related to Installer - Bug #29187: Create /EFI/BOOT -> /grub2 symlink within ... New

Related to Foreman - Tracker #29207: [TRACKER] IPv6 DHCP provisioning New

History

#1 - 02/26/2020 03:04 PM - Lukas Zapletal

- Related to Bug #29186: Use grub2 from grub2-efi-x64-cdboot package on Red Hats added

#2 - 02/26/2020 03:04 PM - Lukas Zapletal

- Related to Bug #29187: Create /EFI/BOOT -> /grub2 symlink within TFTP directory added

#3 - 02/27/2020 03:33 PM - Lukas Zapletal

- Related to Tracker #29207: [TRACKER] IPv6 DHCP provisioning added

#4 - 02/28/2020 06:21 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/smart-proxy/pull/750 added
